Summary:	Modern, cross-platform, distributed IRC client based on the Qt4 framework
Summary(pl.UTF-8):	Nowoczesny, wieloplatformowy i rozproszony klient IRC oparty na bibliotece Qt4
Name:		quassel
Version:	0.9.0
Release:	2
License:	GPL v2, GPL v3
Group:		Applications/Communications
Source0:	http://www.quassel-irc.org/pub/%{name}-%{version}.tar.bz2
# Source0-md5:	29b843f18d703abfadb8fc729ca1df11
URL:		http://www.quassel-irc.org/
BuildRequires:	QtCore-devel
BuildRequires:	QtSql-backend
BuildRequires:	QtSql-devel
BuildRequires:	QtSvg-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXmlPatterns-devel
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	phonon-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	sed >= 4.0
Suggests:	QtSql-sqlite3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quassel IRC is modern Internet chat client. It allows one (or
multiple) client(s) can attach to and detach from a central core
(distributed), but also can act plain client. It is developed for and
tested on Linux®, Windows®, and MacOS X®, and should work on other
platforms supporting Qt4 library (cross-platform).

%description -l pl.UTF-8
Quassel IRC jest nowoczesnym klientem rozmów w Internecie. Pozwala na
podłączanie się i odłączanie wielu klientów od centralnego rdzenia
(rozproszony), ale również może zachowywać się jak zwyczajny klient.
Jest rozwijany i testowany na platformy Linux®, Windows® oraz MacOS
X®, powinien także działać na innych platformach wspierających
bibliotekę Qt4 (wieloplatformowy).

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DWITH_KDE=ON \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir} \
        kde_libs_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/quassel
%{_iconsdir}/hicolor/*/*/*.png
%{_pixmapsdir}/quassel.png
%{_desktopdir}/kde4/quassel.desktop
%{_desktopdir}/kde4/quasselclient.desktop
%changelog
* Sun Jun 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/quassel.git;a=log;h=master

* Sun Jun 16 2013 Lukasz Glebicki <blekot@pld-linux.org> bbacc21
- fixed files on never rpm-build-tools

* Thu Jun 13 2013 Lukasz Glebicki <blekot@pld-linux.org> 4738fac
- 0.9.0

* Sat May 12 2012 blekot <blekot@pld-linux.org> 63a32c0
- 0.8.0

* Mon Mar 28 2011 lisu <lisu@pld-linux.org> f9b5563
- up to 0.7.2

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 15d0340
- BR: QtXmlPatterns-devel

* Wed Sep 22 2010 lisu <lisu@pld-linux.org> 8373cd7
- 0.7.1

* Wed Sep 15 2010 lisu <lisu@pld-linux.org> e4093a2
- up to 0.7.0
- merge with DEVEL

* Tue Sep 07 2010 blekot <blekot@pld-linux.org> 1a0d767
- S: QtSql-sqlite3
- rel 2

* Mon Sep 06 2010 lisu <lisu@pld-linux.org> 862c773
- drop cmake options provided by %%cmake macro

* Mon Sep 06 2010 lisu <lisu@pld-linux.org> c463802
- up to 0.6.2
- package icons

* Mon Apr 19 2010 lisu <lisu@pld-linux.org> 42521a4
- 0.6.1

* Thu Apr 15 2010 lisu <lisu@pld-linux.org> 89b19bc
- 0.6.0

* Tue Feb 23 2010 sparky <sparky@pld-linux.org> cc89fc7
- dropped unused BR: gettext-devel, rpm-pythonprov

* Tue Feb 23 2010 lisu <lisu@pld-linux.org> 35fb3bd
- 0.5.2

* Thu Dec 03 2009 lisu <lisu@pld-linux.org> bfeec0d
- up to 0.5.1
- add missing BR: QtSql-backend
- cosmetics

* Wed Dec 02 2009 sparky <sparky@pld-linux.org> 4bbb2df
- BR: QtSql-devel, QtSvg-devel, qt4-build, qt4-qmake

* Mon Aug 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 77f7475
- cmake case sensitive var values

* Fri Apr 03 2009 vip <vip@pld-linux.org> c07ba55
- more BR's
- (pl,en) desc

* Wed Apr 01 2009 vip <vip@pld-linux.org> 5ffdf7d
- new, NFY

